Bug 34333 - Creating report fails
Creating report fails
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - Domain management (Generic)
UCS 3.2
Other Linux
: P5 normal (vote)
: UCS 3.2-3-errata
Assigned To: Florian Best
Dirk Wiesenthal
:
Depends on:
Blocks: 37227
  Show dependency treegraph
 
Reported: 2014-03-13 08:51 CET by Florian Best
Modified: 2014-12-08 11:46 CET (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Error handling, External feedback
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Best univentionstaff 2014-03-13 08:51:58 CET
We received the following traceback:

  File "/usr/lib/pymodules/python2.6/notifier/threads.py", line 82, in _run
    tmp = self._function()
  File "/usr/lib/pymodules/python2.6/notifier/__init__.py", line 104, in __call__
    return self._function( *tmp, **self._kwargs )
  File "/usr/lib/pymodules/python2.6/univention/management/console/modules/udm/udm_ldap.py", line 147, in wrapper_func
    ret = func(*args, **kwargs)
  File "/usr/lib/pymodules/python2.6/univention/management/console/modules/udm/__init__.py", line 546, in _thread
    doc = udr.Document( template, header = cfg.get_header( request.flavor, request.options[ 'report' ] ), footer = cfg.get_footer( request.flavor, request.options[ 'report' ] ) )
  File "/usr/lib/pymodules/python2.6/univention/directory/reports/document.py", line 51, in __init__
    if self._template.endswith( '.tex' ):

AttributeError: 'NoneType' object has no attribute 'endswith'

I could only reproduce this by manipulating a request by hand which has either no flavor or an invalid report format.

umc-command udm/reports/create -f foo/bar -e -o '{"objects":["uid=Administrator,cn=users,dc=ucs,dc=school"],"report":"Foo Report (deosnt exists)"}'

I would say that this is a JavaScript error (a form was sent without all information).

The feedback mail contained this remark: """beobachtetes Ergebnis: dieser Fehler, und dannach muss man im Browser auf zurück klicken, sonst
kommt man nicht mehr weiter."""
Comment 1 Florian Best univentionstaff 2014-03-13 08:53:18 CET
Oh, and there is also the following information:
"Ich wollte eine Liste mit allen Usern über den Report erstellen. Dazu habe
ich die User ausgewählt und den Report aufgerufen. Dann den Standard Report
und dann kam dieser Fehler. "
Comment 2 Florian Best univentionstaff 2014-08-26 17:53:28 CEST
univention-management-console-module-udm (4.0.99-2) 
* Bug #34333: failures on report creation can not block UMC usage anymore

YAML: 2014-08-26-univention-management-console-module-udm.yaml

The backend checks now for valid report formats. If the frontend enters invalid values the form is marked with a red exclamation mark. The standby animation will end on errors so that the user is able to continue using UMC nevertheless.
Comment 3 Dirk Wiesenthal univentionstaff 2014-09-03 12:40:14 CEST
Works fine.

Not ported to UCS 4 yet.
Comment 4 Florian Best univentionstaff 2014-09-03 12:55:46 CEST
merged r53045 r53049 to UCS4.
Comment 5 Dirk Wiesenthal univentionstaff 2014-09-08 12:25:37 CEST
OK
Comment 6 Janek Walkenhorst univentionstaff 2014-09-10 17:33:40 CEST
http://errata.univention.de/ucs/3.2/187.html